<script>
    Vue.component('settings', {
		data: function() {
			return {}
		},
		props: ['swipeComponent', 'dataBuffer', 'deleteList', 'cambia', 'reiniciarLista', 'resetListStatus', 'nombreLista', 'listActive', 'downloadStatusList'],
		template: `<? include_once "detalle.html.php" ?>`,
		methods: {
			translate(texto) {
				if (i18n) return i18n.gettext(texto)
			}
		},
		mounted: function() {
			var bla;

			function cambiarAOscuro() {

				for (let i = 0; i < bla.length; i++) {
					bla[i].classList.remove('white');
					bla[i].classList.add('grey');
					bla[i].classList.add('lighten-1');
					bla[i].style.filter = 'invert(100%)';
				}
				document.getElementById("botonBack").style.filter = "invert(100%)";
			}

			if (localStorage.getItem('background') == "black") {
				bla = document.getElementsByClassName('card-panel')
				bla = Array.prototype.slice.call(bla)
				cambiarAOscuro();
			}
		}
	})
</script>